Amend API

To initiate an amend request on any mandate, the merchant can either use UMRN or Mandate id_token. The request type will be PATCH and the attributes to be amended should be provided in the request body using JSON format.

Pass in the body of request as JSON to specify which all attributes need to be amended. Below table shows possible attributes (key) which can be amended for a mandate.

Note : Default expiry of the generated auth link will be 7 days from the date of creation.

Validations for amend request to be done at LotusPay end:

  • The mandate should be in active state, then only amend request can be initiated on it.

  • At Least one out of the given four keys should be there in request to apply for a mandate amendment.

  • If a mandate has a collection_amount, only the collection_amount can be amended, and if it has a maximum_amount, only the maximum_amount can be amended. Reverse is not possible.

  • Final collection date should not exceed 40 years from the date of mandate.

  • Final collection date cannot be a past date.

  • There should not be any pending Amend/Pause/Resume on the same mandate.

Scroll inside to view more
Key
Requirement
Value
Description
frequency
Optional
ALP NUM
Regularity with which instructions are to be created and processed. Frequency codes currently accepted are: Adho => Adhoc, INDA => Intra Day, DAIL => Daily, Week => Weekly, MNTH => Monthly, QURT => Quarterly, MIAN => Semi annually, YEAR => Yearly, BIMN => Bi-Monthly,
collection_amount
Optional
Num as String
Amount to be debited from the debtor’s account in each instruction. If the amount passed is a whole number then that will be treated in paisa. If the amount passed is in decimal then that will be treated in rupees. For example: “1000” signifies 10 rupees and “1000.00” signifies 1000 rupees.
maximum_amount
Optional
NUM as String
Maximum amount that can be debited from the debtor's account in each instruction. If the amount passed is a whole number then that will be treated in paisa. If the amount passed is in decimal then that will be treated in rupees. For example: “1000” signifies 10 rupees and “1000.00” signifies 1000 rupees.
final_collection_date
Optional
ISO Date
Date of the Final collection of a direct debit as per the mandate. This field is in ISO Date Format Ex: final_collection_date: 2024-09-17
API Endpoints
Sandbox Link
PATCH
https://api-test.lotuspay.com/api/mandates/amend?umrn=
Production Link
PATCH
https://api.lotuspay.com/api/mandates/amend?umrn=
Authorization Header
Last updated 1 year ago